Galaxietool Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000389Toolbarpublic2010-02-10 14:412010-05-26 14:45
ReporterOmar Hawk 
Assigned ToOmar Hawk 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
Product Version2.2.7 
Target Version2.3Fixed in Version2.3.2 
Summary0000389: Playernames that contain '|'s cause inconsistencies in Galaxytool
DescriptionWhen you try to submit a galaxy view and there are players with '|'s in their name, they won't be shown in Galaxy view of Galaxytool.

I guess, this wouldn't happen, if we would send everything via xml...
Additional InformationPlanet 10:

Galaxieansicht 6:149 gefunden
Target URL:http://galaxytool-hosting.eu/galatool_beta/secret/galaxyplugin.php [^]
Data to send:
solar system 1||0|0|0||||0|0|0|0| 2||0|0|0||||0|0|0|0| 3||0|0|0||||0|0|0|0| 4|S2K|0|0|0|CTR|s|Rakije|118236|1914|49|1| 5|Mine|0|0|0|Cold War|s||109657|683|0|0| 6|Mmmmm|0|0|0|Fatman|vi||106036|973|0|0| 7|Colony|0|0|0|Fatman|vi||106036|973|0|0| 8|Floozy|0|0|0|Euphemist|s|S.B|100229|695|72|1| 9|*Wall*climb*|0|0|0|ParkourCZ|s|C.Z.|122957|2979|176|1| 10|GALAXYTOOL|0|0|0||||||||||0||0|0| 11|Shaiya|0|0|0|Sorin|i||118237|8121|0|0| 12|Panicx|0|0|0|xenofish|i||128122|11006|0|0| 13||0|0|0||||0|0|0|0| 14||0|0|0||||0|0|0|0| 15||0|0|0||||0|0|0|0|
URL parameter:
user=Omar%20Hawk&password=***&typ=galaxy&language=org&galaxy=6&system=149&uni=Electra&toolbar=2.2.7&debug=true
HTTP Request Status Code: 200
  Galaxieansicht 6:149 aktua
TagsNo tags attached.
Browser and Browser Version3.6
HosterGalaxytool Beta
MySQL Version
PHP Version
rev
Attached Filespng file icon Ogame Galaxietool - Galaxieansicht_1265809266756.png [^] (222,554 bytes) 2010-02-10 14:41

- Relationships

-  Notes
(0000918)
Warlockzzz (reporter)
2010-03-06 23:00

Data to send should use a cvs like format where strings are delimited using a characters forbidden on ogame.
(0000919)
Omar Hawk (manager)
2010-03-07 13:25

And this is the problem: there are no characters which are not allowed and suite to our problem...

That is, why we are planning to send those data via xml...
(0000920)
Warlockzzz (reporter)
2010-03-07 18:32

How about you encode the strings in base64 on the add-on side?
Using this way would give you some characters that are not use in exchange for the size of the information sent.
Hoping that this wont go over the POST size limit.

Php do have the function [base64_decode].

http://en.wikipedia.org/wiki/Base64 [^]
(0000938)
Omar Hawk (manager)
2010-05-26 14:45

before we change to xml, a quick fix in 2.3.2 will filter all "|"s from every player name

- Issue History
Date Modified Username Field Change
2010-02-10 14:41 Omar Hawk New Issue
2010-02-10 14:41 Omar Hawk Status new => assigned
2010-02-10 14:41 Omar Hawk Assigned To => eX0du5
2010-02-10 14:41 Omar Hawk File Added: Ogame Galaxietool - Galaxieansicht_1265809266756.png
2010-02-10 14:41 Omar Hawk Firefox Version => 3.6
2010-02-10 14:41 Omar Hawk Hoster => Galaxytool Beta
2010-03-06 23:00 Warlockzzz Note Added: 0000918
2010-03-07 13:25 Omar Hawk Note Added: 0000919
2010-03-07 18:32 Warlockzzz Note Added: 0000920
2010-05-26 14:43 Omar Hawk Assigned To eX0du5 => Omar Hawk
2010-05-26 14:45 Omar Hawk Note Added: 0000938
2010-05-26 14:45 Omar Hawk Status assigned => resolved
2010-05-26 14:45 Omar Hawk Fixed in Version => 2.3.2
2010-05-26 14:45 Omar Hawk Resolution open => fixed



Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker